fcitx5 (5.1.12-ok0.8) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修复编译报错
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Tue, 13 May 2025 13:44:45 +0800

fcitx5 (5.1.12-ok0.7) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改输入法快捷键
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Tue, 13 May 2025 10:49:51 +0800

fcitx5 (5.1.12-ok0.6) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：重新实现在ukui桌面环境中检测输入法配置工具的机制
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Tue, 13 May 2025 10:25:30 +0800

fcitx5 (5.1.12-ok0.5) huanghe; urgency=medium

  * BUG：无
  * 需求号：#47019 虚拟键盘交互体验优化
  * 其他改动说明：无
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 12 May 2025 15:04:46 +0800

fcitx5 (5.1.12-ok0.4) huanghe; urgency=medium

  * BUG：#346566 【版本组自测】【输入法】v11版本开机fcitx存在wayland环境检查弹窗
  * 需求号：无
  * 其他改动说明：判断桌面环境类型为UKUI时，不再发送诊断消息，只输出日志
  * 其他改动影响域：无

 -- niushijia <niushijia@kylinos.cn>  Tue, 29 Apr 2025 15:50:36 +0800

fcitx5 (5.1.12-ok0.3) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：解决编译报错问题
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Tue, 15 Apr 2025 11:33:04 +0800

fcitx5 (5.1.12-ok0.2) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：同步ukui桌面修改，确保在ukui桌面环境中符合使用习惯
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 14 Apr 2025 14:36:09 +0800

fcitx5 (5.1.12-ok0.1) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：发布最新版本5.1.12
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 14 Apr 2025 14:23:33 +0800

fcitx5 (5.1.11-ok0.10) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：通过右键菜单配置项可以打开自研输入法框架配置工具
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Thu, 20 Mar 2025 13:50:02 +0800

fcitx5 (5.1.11-ok0.9) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：优化托盘图标显示逻辑
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Tue, 10 Dec 2024 09:52:29 +0800

fcitx5 (5.1.11-ok0.8) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：优化显示和隐藏逻辑
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Dec 2024 15:18:39 +0800

fcitx5 (5.1.11-ok0.7) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：增加翻译文件
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Dec 2024 15:12:18 +0800

fcitx5 (5.1.11-ok0.6) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：设置UKUI桌面环境下英文输入法图标
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Dec 2024 15:08:52 +0800

fcitx5 (5.1.11-ok0.5) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：增加状态管理器模块和提交字符串模块
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Dec 2024 15:05:58 +0800

fcitx5 (5.1.11-ok0.4) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：默认使用搜狗输入法
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Dec 2024 14:51:42 +0800

fcitx5 (5.1.11-ok0.3) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改默认配置，使得在麒麟系统上显示、使用更友好
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Dec 2024 14:42:17 +0800

fcitx5 (5.1.11-ok0.2) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：不从外网拉取文件，使用本地文件
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Dec 2024 14:30:30 +0800

fcitx5 (5.1.11-ok0.1) huanghe; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：发布最新版本
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 09 Dec 2024 14:24:41 +0800

fcitx5 (5.1.7-ok0.11) nile; urgency=medium

  * BUG：#IASE5Q 切换到英文输入法和默认情况下，输入法图标显示错误
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 18 Nov 2024 19:48:29 +0800

fcitx5 (5.1.7-ok0.10) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：当无法通过状态管理器获取物理键盘可用性时默认物理键盘是可用的
  * 其他改动影响域：无

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 08 Oct 2024 16:21:13 +0800

fcitx5 (5.1.7-ok0.9) nile; urgency=medium

  * BUG：无
  * 需求号：#32737 优化手动唤起后的虚拟键盘显示与隐藏逻辑
  * 其他改动说明：无
  * 其他改动影响域：无

 -- liulinsong <liulinsong@kylinos.cn>  Wed, 18 Sep 2024 17:15:35 +0800

fcitx5 (5.1.7-ok0.8) nile; urgency=medium

  * BUG：issue#IAJPPK ok输入法不显示状态栏
  * 需求号：无
  * 其他改动说明：修正git commit提交者
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Wed, 28 Aug 2024 10:05:23 +0800

fcitx5 (5.1.7-ok0.7) nile; urgency=medium

  * BUG：issue#IAJPPK ok输入法不显示状态栏
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Wed, 28 Aug 2024 09:49:49 +0800

fcitx5 (5.1.7-ok0.6) nile; urgency=medium

  * BUG：issue#I88BJP 确保输入窗口的左边部分始终处于最近屏幕的范围之内
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- liulinsong <liulinsong@kylinos.cn>  Tue, 11 Jun 2024 17:22:20 +0800

fcitx5 (5.1.7-ok0.5) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：默认集成最新版本搜狗输入法
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 20 May 2024 17:07:02 +0800

fcitx5 (5.1.7-ok0.4) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：解决commit string插件加载报错问题
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 20 May 2024 17:07:02 +0800

fcitx5 (5.1.7-ok0.3) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：暂时去除dbus commit string功能
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 20 May 2024 14:58:00 +0800

fcitx5 (5.1.7-ok0.2) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：解决构建失败的问题
  * 其他改动影响域：无

 -- liulinsong <liulinsong@kylinos.cn>  Fri, 17 May 2024 17:03:03 +0800

fcitx5 (5.1.7-ok0.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：发布最新版本
  * 其他改动影响域：无

 -- liulinsong <liulinsong@kylinos.cn>  Thu, 16 May 2024 17:10:00 +0800

fcitx5 (5.1.5-ok0.4) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：新增提交字符串dbus模块，可以使用该模块提供的接口提交字符串到应用.
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 22 Apr 2024 14:14:50 +0800

fcitx5 (5.1.5-ok0.3) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：修改切换输入法的快捷键.
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Wed, 21 Feb 2024 09:54:31 +0800

fcitx5 (5.1.5-ok0.2) nile; urgency=medium

  * BUG：#I8SAIO 【输入法】 左shift键切换输入法非切换输入模式，与用户常用习惯不符
  * 需求号：无
  * 其他改动说明：发布最新版本
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Tue, 23 Jan 2024 13:49:45 +0800

fcitx5 (5.1.5-ok0.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：发布最新版本
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Wed, 27 Dec 2023 11:08:33 +0800

fcitx5 (5.1.0-ok5.2) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：切换输入法时默认不显示输入法信息
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 04 Dec 2023 15:19:26 +0800

fcitx5 (5.1.0-ok5.1) nile; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：切换输入法时默认不显示输入法信息
  * 其他改动影响域：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 04 Dec 2023 13:36:46 +0800

fcitx5 (5.1.0-ok5) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：修改rule文件，解决risc-v上fcitx5编译问题
  * 备注：无

 -- hanteng <hanteng@kylinos.cn>  Mon, 30 Oct 2023 15:07:18 +0800

fcitx5 (5.1.0-ok4) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：删除commit  5376b88d670166349b8c1514e7c8ff7d1e5aaa1e
  * 备注：该commit是很早之前的提交，目前已经以最新的提交合并至上游。合并至上游的代码也已经同步下来

 -- hanteng <hanteng@kylinos.cn>  Thu, 19 Oct 2023 10:26:47 +0800

fcitx5 (5.1.0-ok3) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：增加devicestatusmanager文件的安装

 -- hanteng <hanteng@kylinos.cn>  Thu, 14 Sep 2023 13:42:18 +0800

fcitx5 (5.1.0-ok2) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：同步之前openkylin/yangtze分支的代码

 -- hanteng <hanteng@kylinos.cn>  Thu, 14 Sep 2023 13:06:08 +0800

fcitx5 (5.1.0-ok1) nile; urgency=medium

  * 发布最新版本5.1.0

 -- hanteng <hanteng@kylinos.cn>  Thu, 14 Sep 2023 11:09:45 +0800

fcitx5 (5.0.18-1ok27) nile; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：默认列表中增加拼音输入法

 -- hanteng <hanteng@kylinos.cn>  Wed, 30 Aug 2023 11:03:54 +0800

fcitx5 (5.0.18-1ok26) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：默认列表中增加搜狗输入法

 -- hanteng <hanteng@kylinos.cn>  Fri, 18 Aug 2023 15:09:41 +0800

fcitx5 (5.0.18-1ok25) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：合并上游代码，增加输入法信息的dbus接口

 -- hanteng <hanteng@kylinos.cn>  Mon, 31 Jul 2023 11:48:25 +0800

fcitx5 (5.0.18-1ok24) yangtze; urgency=medium

  * bug修复：168695 【大屏】【UKUI需求 需求-17139】【平板键盘】切换繁体输入法失败；
             160004 【平板】【输入法】系统输入法无法正常启动，虚拟键盘无法通过ctrl+shift切换中文输入
  * 新需求：无
  * 其他修改：无

 -- hanteng <hanteng@kylinos.cn>  Wed, 10 May 2023 16:02:46 +0800

fcitx5 (5.0.18-1ok23) yangtze; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改: 
      1.同步上游代码(内外网代码保持一致)
  * 备注: 无

 -- hanteng <hanteng@kylinos.cn>  Sat, 06 May 2023 10:28:52 +0800

fcitx5 (5.0.18-1ok22) yangtze; urgency=medium

  * bug修复：
          #167711 安装kylin-virtual-keyboard软件后，屏幕右下角拼音和英文切换文字显示异常
  * 新需求：无
  * 其他修改:无
  * 备注: 深色主题下输入法文字图标存在模糊问题，输入法框架关闭优先使用文字图标功能

 -- hanteng <hanteng@kylinos.cn>  Sat, 06 May 2023 09:35:15 +0800

fcitx5 (5.0.18-1ok21) yangtze; urgency=medium

  * release

 -- hanteng <hanteng@kylinos.cn>  Wed, 12 Apr 2023 13:24:55 +0800

fcitx5 (5.0.18-1ok20) yangtze; urgency=medium

  * release

 -- hanteng <hanteng@kylinos.cn>  Wed, 12 Apr 2023 13:20:21 +0800

fcitx5 (5.0.18-1kylin19k0.1tablet6) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：更新候选结果时传递当前高亮候选索引

 -- liulinsong <liulinsong@kylinos.cn>  Fri, 07 Apr 2023 11:14:16 +0800

fcitx5 (5.0.18-1kylin19k0.1tablet5) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：使用策略模式优化设备状态管理器插件

 -- liulinsong <liulinsong@kylinos.cn>  Mon, 06 Mar 2023 15:54:22 +0800

fcitx5 (5.0.18-1kylin19k0.1tablet4) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：支持状态管理器不存在的情况,确保虚拟键盘正常可用

 -- liulinsong <liulinsong@kylinos.cn>  Thu, 02 Mar 2023 11:28:14 +0800

fcitx5 (5.0.18-1kylin19k0.1tablet3) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：
    1.同步fcitx社区上游代码
    2.必要的时候使用默认键盘布局IM

 -- hanteng <hanteng@kylinos.cn>  Wed, 08 Feb 2023 14:03:13 +0800

fcitx5 (5.0.18-1kylin19k0.1tablet2) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：
    1.为了避免输入法默认图标与虚拟键盘唤醒入口图标存在冲突，
         开启功能优先使用文字图标

 -- hanteng <hanteng@kylinos.cn>  Thu, 12 Jan 2023 15:39:15 +0800

fcitx5 (5.0.18-1kylin19k0.1tablet1) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：
    1.修改版本号

 -- hanteng <hanteng@kylinos.cn>  Fri, 06 Jan 2023 10:08:11 +0800

fcitx5 (5.0.18-1kylin19) v101; urgency=medium

  * bug修复：无
  * 新需求：无
  * 其他修改：
    1. 增加禁用输入法的标志位

 -- liulinsong <liulinsong@kylinos.cn>  Mon, 14 Nov 2022 17:15:11 +0800

fcitx5 (5.0.18-1kylin18) v101; urgency=medium

  * bug修复：146738 【平板】【控制面板】【无线投屏】无法通过虚拟键盘编辑主机名
  * 新需求：无
  * 其他修改：无

 -- liulinsong <liulinsong@kylinos.cn>  Mon, 14 Nov 2022 12:59:17 +0800

fcitx5 (5.0.18-1kylin17) v101; urgency=medium

  * bug修复:https://gitee.com/openkylin/kylin-virtual-keyboard/issues/I5XCO7?from=project-issue 【平板键盘】【次要】部分快捷键如Ctrl+C、Ctrl+V、Ctrl+X实现与预期不同 
  * 新需求：无
  * 其他修改:无

 -- linyuxuan <linyuxuan@kylinos.cn>  Mon, 14 Nov 2022 11:03:21 +0800

fcitx5 (5.0.18-1kylin16) v101; urgency=medium

  * bug修复:145753 【平板】【语言和地区】切换为藏文时桌面程序未完全藏化
  * 新需求：无
  * 其他修改:无

 -- linyuxuan <linyuxuan@kylinos.cn>  Fri, 11 Nov 2022 15:18:43 +0800

fcitx5 (5.0.18-1kylin15) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改:
    1.正确读取状态管理器方法的返回值
 
 -- hanteng <hanteng@kylinos.cn>  Wed, 02 Nov 2022 15:31:15 +0800

fcitx5 (5.0.18-1kylin14) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改:
    1.允许IM module在创建InputContext对象的时候禁用
    fcitx5提供的得到焦点和失去焦点时虚拟键盘弹出和关闭行为

 -- liulinsong <liulinsong@kylinos.cn>  Mon, 31 Oct 2022 15:18:51 +0800

fcitx5 (5.0.18-1kylin13) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改:
        1.输入法相关工具不显示在菜单栏界面

 -- hanteng <hanteng@kylinos.cn>  Fri, 28 Oct 2022 10:44:03 +0800

fcitx5 (5.0.18-1kylin12) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改:
    1.默认不在文本框中显示预编辑内容
    2.默认所有的窗口共享输入状态  

 -- hanteng <hanteng@kylinos.cn>  Mon, 24 Oct 2022 14:23:13 +0800

fcitx5 (5.0.18-1kylin11) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改: 
    1.virtualkeyboard本地化输入法列表接口的返回值增加label
    2.修复使用虚拟键盘时任务栏托盘区域输入法消失的问题

 -- litian <litian2@kylinos.cn>  Thu, 13 Oct 2022 16:52:07 +0800

fcitx5 (5.0.18-1kylin10) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改: 将设备管理文件安装到固定目录中

 -- hanteng <hanteng@kylinos.cn>  Thu, 13 Oct 2022 13:51:07 +0800

fcitx5 (5.0.18-1kylin9) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改：增加debian配置文件

 -- hanteng <hanteng@kylinos.cn>  Thu, 13 Oct 2022 12:21:04 +0800

fcitx5 (5.0.18-1kylin8) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改：修改cmakelists文件，使用本地文件

 -- hanteng <hanteng@kylinos.cn>  Thu, 13 Oct 2022 11:28:22 +0800

fcitx5 (5.0.18-1kylin7) v101; urgency=medium

  * bug修复:无
  * 新需求：无
  * 其他修改：
    1.virtualkeyboard增加获取本地语言输入法列表的接口
    2.在VirtualKeyboard中提供专门的dbus服务用于供其他应用程序请求强制显示虚拟键盘和隐藏虚拟键盘

 -- hanteng <hanteng@kylinos.cn>  Wed, 12 Oct 2022 09:17:41 +0800

fcitx5 (5.0.18-1kylin6) v101; urgency=medium

  * remove "debian/tmp" install path

 -- hanteng <hanteng@kylinos.cn>  Sun, 09 Oct 2022 11:06:49 +0800

fcitx5 (5.0.18-1kylin5) v101; urgency=medium

  * add virtualkeyboard install path

 -- hanteng <hanteng@kylinos.cn>  Sun, 09 Oct 2022 10:50:13 +0800

fcitx5 (5.0.18-1kylin4) v101; urgency=medium

  * update so 

 -- hanteng <hanteng@kylinos.cn>  Sun, 09 Oct 2022 10:28:22 +0800

fcitx5 (5.0.18-1kylin3) v101; urgency=medium

  * build for os-tablet

 -- hanteng <hanteng@kylinos.cn>  Sat, 08 Oct 2022 18:25:44 +0800

fcitx5 (5.0.18-1kylin2~1008) v101; urgency=medium

  * build for os-tablet

 -- hanteng <hanteng@kylinos.cn>  Sat, 08 Oct 2022 18:03:05 +0800

fcitx5 (5.0.18-1kylin2) v101; urgency=medium

  * build for os-tablet &&  update endict.txt

 -- hanteng <hanteng@kylinos.cn>  Sat, 08 Oct 2022 16:25:16 +0800

fcitx5 (5.0.18-1kylin1) v101; urgency=medium

  * update endict.txt

 -- hanteng <hanteng@kylinos.cn>  Sat, 08 Oct 2022 15:28:11 +0800

fcitx5 (5.0.18-1kylin0) v101; urgency=medium

  * build for openkylin 

 -- hanteng <hanteng@kylinos.cn>  Tue, 30 Aug 2022 18:23:01 +0800
